## r-cran-isospecr 2.1.3

=== DESCRIPTION ===
Encoding: UTF-8
Package: IsoSpecR
Type: Package
Title: The IsoSpec Algorithm
Version: 2.1.3
Date: 2020-10-29
Author: Mateusz Krzysztof Lacki and Michal Startek
Maintainer: Matteo Lacki <matteo.lacki@gmail.com>
Description: IsoSpec is a fine structure calculator used for obtaining the most
    probable masses of a chemical compound given the frequencies of the composing
    isotopes and their masses. It finds the smallest set of isotopologues with
    a given probability. The probability is assumed to be that of the product of
    multinomial distributions, each corresponding to one particular element and
    parametrized by the frequencies of finding these elements in nature. These
    numbers are supplied by IUPAC - the International Union of Pure and Applied
    Chemistry. See: Lacki, Valkenborg, Startek (2020) <DOI:10.1021/acs.analchem.0c00959>
    and Lacki, Startek, Valkenborg, Gambin (2017) <DOI:10.1021/acs.analchem.6b01459>
    for the description of the algorithms used.
License: BSD_2_clause + file LICENCE
URL: http://matteolacki.github.io/IsoSpec/
Depends: R (>= 3.0.0)
Imports: Rcpp (>= 0.12.0)
Suggests: testthat
LazyData: no
LinkingTo: Rcpp
NeedsCompilation: yes
SystemRequirements: C++14
RoxygenNote: 6.1.1
Packaged: 2020-10-30 19:22:56 UTC; mist
Repository: CRAN
Date/Publication: 2020-10-31 00:40:06 UTC

=== debian/changelog ===
r-cran-isospecr (2.1.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Fri, 06 Nov 2020 11:26:45 +0100

r-cran-isospecr (2.1.2-3) unstable; urgency=medium

  * Add missing Provides, Conflicts and Replaces
     with r-cran-isospec (Closes: #970656)

 -- Dylan Aïssi <daissi@debian.org>  Mon, 21 Sep 2020 10:18:53 +0200

r-cran-isospecr (2.1.2-2) unstable; urgency=medium

  * Team upload.

 -- Andreas Tille <tille@debian.org>  Sun, 20 Sep 2020 12:29:03 +0200

r-cran-isospecr (2.1.2-1) unstable; urgency=medium

  * Initial release (closes: #969943)

 -- Dylan Aïssi <daissi@debian.org>  Fri, 18 Sep 2020 11:04:18 +0200

=== debian/control ===
Source: r-cran-isospecr
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Dylan Aïssi <daissi@debian.org>,
           Filippo Rusconi <lopippo@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-rcpp (>= 0.12.0)
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-isospecr
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-isospecr.git
Homepage: https://cran.r-project.org/package=IsoSpecR
Rules-Requires-Root: no

Package: r-cran-isospecr
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Provides: r-cran-isospec
Conflicts: r-cran-isospec
Replaces: r-cran-isospec
Description: GNU R IsoSpec Algorithm
 IsoSpec is a fine structure calculator used for obtaining the most
 probable masses of a chemical compound given the frequencies of the composing
 isotopes and their masses. It finds the smallest set of isotopologues with
 a given probability. The probability is assumed to be that of the product of
 multinomial distributions, each corresponding to one particular element and
 parametrized by the frequencies of finding these elements in nature. These
 numbers are supplied by IUPAC - the International Union of Pure and Applied
 Chemistry.

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/IsoSpecR_([-\d.]*)\.tar\.gz

## r-cran-isospecr 2.3.3

=== debian/changelog ===
r-cran-isospecr (2.3.3-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Team upload.
  * Drop Filippo from Uploaders (Thank you for your work on this package,
    Filippo)

  [ Charles Plessy ]
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Charles Plessy <plessy@debian.org>  Fri, 26 Dec 2025 12:09:13 +0900

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: r-cran-isospecr
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
-Uploaders: Dylan Aïssi <daissi@debian.org>,
-           Filippo Rusconi <lopippo@debian.org>
+Uploaders: Dylan Aïssi <daissi@debian.org>
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-rcpp (>= 0.12.0)
-Standards-Version: 4.5.0
+               r-cran-rcpp,
+               architecture-is-64-bit,
+               architecture-is-little-endian
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-isospecr
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-isospecr.git
 Homepage: https://cran.r-project.org/package=IsoSpecR
@@ -22,8 +23,8 @@
          ${misc:Depends}
 Recommends: ${R:Recommends}
 Suggests: ${R:Suggests}
+Conflicts: r-cran-isospec
 Provides: r-cran-isospec
-Conflicts: r-cran-isospec
 Replaces: r-cran-isospec
 Description: GNU R IsoSpec Algorithm
  IsoSpec is a fine structure calculator used for obtaining the most
